Name:          python-freecell_solver
Version:       0.6.0
Release:       1mamba
Summary:       Freecell Solver Python bindings
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.org/project/freecell-solver/
Source:        https://pypi.debian.net/freecell-solver/freecell_solver-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba
BuildRequires: libpython-devel
Requires:      python >= %python_version

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n freecell_solver-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
## note: this list is just an example; modify as required
# %{python_sitearch}/%{name}.py*
# %{python_sitearch}/%{name}.so
%doc AUTHORS LICENSE
## note: add extra documentation (if any)
# %doc ChangeLog README.rst

%changelog
* Tue Jul 16 2024 Automatic Build System <autodist@openmamba.org> 0.6.0-1mamba
- automatic version update by autodist

* Tue Sep 26 2023 Automatic Build System <autodist@mambasoft.it> 0.4.0-2mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Fri Nov 26 2021 Automatic Build System <autodist@mambasoft.it> 0.4.0-1mamba
- automatic version update by autodist

* Sat Mar 20 2021 Automatic Build System <autodist@mambasoft.it> 0.2.6-1mamba
- automatic version update by autodist

* Thu Apr 30 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.3-1mamba
- package created using the webbuild interface
